> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit translation memories

> Deprecated. Use PUT /api2/v3/projects/{projectUid}/transMemories instead.



## OpenAPI

````yaml /openapi/phrase-tms-v2.json put /api2/v2/projects/{projectUid}/transMemories
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: '2'
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Analysis
  - name: Bilingual File
  - name: Connector
  - name: Conversations
  - name: Job
  - name: Net Rate Scheme
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quote
  - name: Reference File
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Webhook
  - name: Workflow changes
paths:
  /api2/v2/projects/{projectUid}/transMemories:
    put:
      tags:
        - Project
      summary: Edit translation memories
      description: >-
        Deprecated. Use PUT /api2/v3/projects/{projectUid}/transMemories
        instead.
      operationId: setProjectTransMemoriesV2
      parameters:
        - name: projectUid
          in: path
          description: Project UID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetProjectTransMemoriesV2DtoV2'
        description: Translation memory assignment
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProjectTransMemoryListDtoV2'
        '400':
          description: Bad Request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
      deprecated: true
components:
  schemas:
    SetProjectTransMemoriesV2DtoV2:
      type: object
      properties:
        targetLang:
          type: string
          description: Set translation memory only for the specific project target language
        transMemories:
          type: array
          description: Translation memories to assign to the project
          items:
            $ref: '#/components/schemas/SetProjectTransMemoryDtoV2'
        workflowStep:
          $ref: '#/components/schemas/IdReference'
    ProjectTransMemoryListDtoV2:
      type: object
      properties:
        transMemories:
          type: array
          items:
            $ref: '#/components/schemas/ProjectTransMemoryDtoV2'
    SetProjectTransMemoryDtoV2:
      type: object
      required:
        - transMemory
      properties:
        applyPenaltyTo101Only:
          type: boolean
          description: 'Can be set only for penalty == 1<br/>Default: false'
        penalty:
          type: number
          format: double
          minimum: 0
          maximum: 100
          exclusiveMinimum: false
          exclusiveMaximum: false
        readMode:
          type: boolean
          description: 'Default: false'
        transMemory:
          $ref: '#/components/schemas/IdReference'
        writeMode:
          type: boolean
          description: |-
            Can be set only for Translation Memory with read == true.<br/>
                    Max 2 write TMs allowed per project.<br/>
                    Default: false
    IdReference:
      type: object
      required:
        - id
      properties:
        id:
          type: string
    ProjectTransMemoryDtoV2:
      type: object
      properties:
        applyPenaltyTo101Only:
          type: boolean
        penalty:
          type: number
          format: double
        readMode:
          type: boolean
        targetLocale:
          type: string
        transMemory:
          $ref: '#/components/schemas/TransMemoryDtoV2'
        workflowStep:
          $ref: '#/components/schemas/WorkflowStepReferenceV2'
        writeMode:
          type: boolean
    TransMemoryDtoV2:
      type: object
      properties:
        businessUnit:
          $ref: '#/components/schemas/BusinessUnitReferenceV1'
        canEdit:
          type: boolean
        client:
          $ref: '#/components/schemas/ClientReferenceV1'
        collaboratorsCount:
          type: integer
          format: int32
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
        domain:
          $ref: '#/components/schemas/DomainReferenceV1'
        id:
          type: string
        internalId:
          type: integer
          format: int32
        name:
          type: string
        note:
          type: string
        owner:
          $ref: '#/components/schemas/UserReferenceV1'
        relatedProjectsCount:
          type: integer
          format: int64
        sourceLang:
          type: string
        subDomain:
          $ref: '#/components/schemas/SubDomainReferenceV1'
        targetLangs:
          type: array
          items:
            type: string
        uid:
          type: string
    WorkflowStepReferenceV2:
      type: object
      properties:
        id:
          type: string
        lqaEnabled:
          type: boolean
        name:
          type: string
        order:
          type: integer
          format: int32
        uid:
          type: string
    BusinessUnitReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    ClientReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    UserReferenceV1:
      type: object
      properties:
        email:
          type: string
          description: Email address of the user
        firstName:
          type: string
          description: First name of the user
        id:
          type: string
          description: Unique numeric identifier of the user
        lastName:
          type: string
          description: Last name of the user
        role:
          type: string
          description: Role of the user in the organization
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
          description: Unique string identifier of the user
        userName:
          type: string
          description: Username of the user
    DomainReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    SubDomainReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````